-- MariaDB dump 10.19  Distrib 10.5.22-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: digitalSpine
-- ------------------------------------------------------
-- Server version	10.11.7-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `EVReading`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `EVReading` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `ts` int(10) unsigned NOT NULL,
  `applianceId` int(10) unsigned NOT NULL,
  `flow` float NOT NULL COMMENT 'instantaneous value',
  `usedPower` float unsigned NOT NULL DEFAULT 0 COMMENT 'used power to drive the car',
  `health` float unsigned NOT NULL DEFAULT 0 COMMENT 'this is how much of the original  capacity is left',
  `storedPower` float NOT NULL DEFAULT 0 COMMENT 'https://github.com/smart-data-models/dataModel.Battery/blob/master/StorageBatteryMeasurement/doc/spec.md',
  `usableEnergy` float unsigned NOT NULL DEFAULT 0 COMMENT 'the actual amount of energy that we estimate to use (cold battery perform quite bad)',
  `connected` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'if the plug is connected',
  `chargeOk` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'if this element received the singal from remote to charge',
  `lat` float NOT NULL DEFAULT 0 COMMENT 'if the car is NOT connected home, is more complex to provide functionality (if is plugged on the road, maybe they want to charge it, if plugged on someone else house, will be overcomplex to manage payment)',
  `lon` float NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `appliaceId_ts` (`applianceId`,`ts`),
  KEY `ts` (`ts`)
) ENGINE=InnoDB AUTO_INCREMENT=2605 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-09-26  2:02:01
