-- MariaDB dump 10.19  Distrib 10.5.22-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: digitalSpine
-- ------------------------------------------------------
-- Server version	10.11.7-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `battery`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `battery` (
  `applianceId` int(10) unsigned NOT NULL,
  `maxChargePower` float unsigned NOT NULL COMMENT 'max power draw in W while charging',
  `minChargeLevel` float unsigned NOT NULL DEFAULT 0 COMMENT 'in case the device is commanded to provide power (expecially electric car) what is the minimum level to keep stored',
  `maxChargeLevel` float unsigned NOT NULL COMMENT 'many users do not want to charge over say 90%, as to extend the lifetime of the battery for example. ',
  `maxDischargePower` float unsigned NOT NULL COMMENT 'maximum sustained power usable',
  `capacity` float unsigned NOT NULL COMMENT 'nominal value, will degrade over time',
  `operatingMode` enum('standard','backup','self') CHARACTER SET ascii COLLATE ascii_bin NOT NULL DEFAULT 'standard' COMMENT 'yes is useless, as ultimately all the behaviour is done via the min / max level, this is only to show back the selected item',
  `schedule` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'mostly TBA, for the moment the chargin logic is just to load during night (cheaper energy) or if remote command is sent',
  PRIMARY KEY (`applianceId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='https://github.com/smart-data-models/dataModel.Battery/blob/master/StorageBatteryDevice/examples/example.json';
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-09-26  2:02:01
